Bug 475772 - crash on ICQ buddy list request
crash on ICQ buddy list request
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: empathy (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 07:42 EST by Patrick C. F. Ernzer
Modified: 2009-11-19 05:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 05:58:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
relevant part of my .xsession-errors (22.65 KB, text/plain)
2008-12-10 07:42 EST, Patrick C. F. Ernzer
no flags Details

  None (edit)
Description Patrick C. F. Ernzer 2008-12-10 07:42:00 EST
Created attachment 326497 [details]
relevant part of my .xsession-errors

Description of problem:
empathy crashes on me when I receivean ICQ request to add to my buddy list

Version-Release number of selected component (if applicable):
empathy-2.24.1-1.fc10.i386
telepathy-filesystem-0.0.1-2.fc8.noarch
telepathy-gabble-0.7.12-1.fc10.i386
telepathy-glib-0.7.17-1.fc10.i386
telepathy-haze-0.2.1-1.fc10.i386
telepathy-mission-control-4.67-1.fc10.i386
telepathy-salut-0.3.5-1.fc10.i386
telepathy-sofiasip-0.5.10-1.fc10.i386
telepathy-stream-engine-0.5.3-2.fc10.i386


How reproducible:
always

Steps to Reproduce:
1. be online with an ICQ account, empathy minimised
2. receive a request from someone wanting to be on your buddy list
3. click the notification aread icon
4. request pops up shortly
  
Actual results:
empathy crashes

Expected results:
empathy does not crash

Additional info:
I got 3 crashing requests in the last week or so, could very well be spammers, but empathy should not crash
Comment 1 Rajeesh 2008-12-23 00:05:01 EST
Confirmed, crashing with Yahoo buddy request as well. I clicked on the "Decide later" button and Empathy crashed. Same D-Bus dbus_connection_get_data() issue as in the initial report. Seems the recent D-Bus update is the culprit. I have just built the RPM from 2.25.3 sources and that also crashes with the same symptoms. Looks like no bug has been reported upstream.
Comment 2 Bug Zapper 2009-11-18 05:25:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Patrick C. F. Ernzer 2009-11-18 11:44:37 EST
note: I have moved all my instant messaging into BitlBee (not because of this bug but because it makes my life easier). As such I do not plan re-test this bug under F12 unless explicitly asked (current plan is to upgrade my F11 boxes to F12 on the w-e).

Rajeesh; if you still use Empathy and are also going to upgrade to F12, could you please provide feedback on how this behaves under F12?
Comment 4 Rajeesh 2009-11-19 05:58:26 EST
Tested empathy-2.28.1.1-3.fc12
Works perfectly well, so closing the bug.

Note You need to log in before you can comment on or make changes to this bug.